
## Important tools for daily devops working


## Tools
aws-cli
\
terraform
\
terraform-cli
\
Ansible
```
sudo yum update               #System update
sudo yum install epel-release #Enable EPEL repository
sudo yum install ansible-core #Install Ansible
ansible --version             #Check the Ansible version 

```
\
checkov
```
pip install checkov     #Install From PyPI Using Pip
pip3 install checkov    #Install on Python
pip3 install -U checkov #If you installed Checkov with pip3
```
kafka-cli
\
helm
\
kustomize
\
Ansible
\
python
\
k9
\
eksctl
\
Postman
```
sudo dnf update
sudo dnf install epel-release
sudo dnf install snapd
sudo systemctl enable --now snapd.socket
sudo ln -s /var/lib/snapd/snap /snap
sudo snap install postman
reboot
```
\
docker
\
docker-compose
\
kubetcx
\
k3d
\
kind
\
argo client
\
vagrant
\
virtualbox
```
#Add VirtualBox Repository
sudo dnf config-manager --add-repo=https://download.virtualbox.org/virtualbox/rpm/el/virtualbox.repo

#Update the package list.
sudo dnf update

#Check Versions Available for Installation
sudo dnf search virtualbox

#Install Prerequisites
sudo dnf install kernel-devel kernel-headers gcc make perl elfutils-libelf-devel

#Install VirtualBox on AlmaLinux 
sudo dnf install VirtualBox-7.0

#check the status of VirtualBox’s Linux kernel module service
sudo systemctl status vboxdrv

```
\
portainer

\
Jaeger - Jaeger - a Distributed Tracing System

\
OpenTelemetry

\
Istio command line (isitioctl)



## Sites
   * https://mxtoolbox.com/
   * https://artifacthub.io/
